#ifndef HISTORY_H
#define HISTORY_H

// macros

#define HISTORY_SIZE 2*6*64

// types

typedef long history_t[HISTORY_SIZE];


// includes

#include "board.h"

// functions

void HistoryInit(history_t *history);
void HistoryGood(history_t *history, board_t *board, int move, int depth);
void HistoryBad(history_t *history, board_t *board, int move, int depth);
int HistoryGet(history_t *history, board_t *board, int move);


#endif
